Subject: Re: myri10ge: rename main file into myri10ge_main.c

From: Brice Goglin <[email-masked]>
Date: Thu, 09 Oct 2008 13:54:07 +0200

David Miller wrote:
> I'm not applying this patch nor the one that does the
> actual split up.
>
> Single file drivers are so much easier to maintain and
> hack on, multi-file drivers are heavily discouraged.
>
> If I want to change some structure member in a multi-file
> driver I have go over seperate files instead of doing a
> single search and replace operation in a single editing
> buffer.
>
> Drivers like e1000, cxgb3 (especially cxgb3!) are such a pain
> in the ass to study and make changes to for this reason.  Please
> don't add myri10ge to this group.
>   

Oh, I wrongly thought people liked small pieces since most new drivers
come in multiple files these days.
So yeah, we're not splitting anymore :)

Brice